org.apache.geode.distributed

## Enum LocatorLauncher.Command

- java.lang.Object
- - java.lang.Enum<LocatorLauncher.Command>
  - - org.apache.geode.distributed.LocatorLauncher.Command

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LocatorLauncher.Command>
  Enclosing class:
    LocatorLauncher

      public static enum LocatorLauncher.Command
      extends java.lang.Enum<LocatorLauncher.Command>

  An enumerated type representing valid commands to the Locator launcher.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `START`
    `STATUS`
    `STOP`
    `UNSPECIFIED`
    `VERSION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the name of the Locator launcher command.
    `java.util.List<java.lang.String>` | `getOptions()` Gets a set of valid options that can be used with the Locator launcher command when used from the command-line.
    `boolean` | `hasOption(java.lang.String option)` Determines whether this Locator launcher command has the specified command-line option.
    `static boolean` | `isCommand(java.lang.String name)` Determines whether the specified name refers to a valid Locator launcher command, as defined by this enumerated type.
    `boolean` | `isUnspecified()` Convenience method for determining whether this is the UNSPECIFIED Locator launcher command.
    `static boolean` | `isUnspecified(LocatorLauncher.Command command)` Determines whether the given Locator launcher command has been properly specified.
    `java.lang.String` | `toString()` Gets the String representation of this Locator launcher command.
    `static LocatorLauncher.Command` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LocatorLauncher.Command` | `valueOfName(java.lang.String name)` Looks up a Locator launcher command by name.
    `static LocatorLauncher.Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final LocatorLauncher.Command START

    - #### STATUS

          public static final LocatorLauncher.Command STATUS

    - #### STOP

          public static final LocatorLauncher.Command STOP

    - #### VERSION

          public static final LocatorLauncher.Command VERSION

    - #### UNSPECIFIED

          public static final LocatorLauncher.Command UNSPECIFIED

  - ### Method Detail

    - #### values

          public static LocatorLauncher.Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocatorLauncher.Command c : LocatorLauncher.Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocatorLauncher.Command valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isCommand

          public static boolean isCommand(java.lang.String name)

      Determines whether the specified name refers to a valid Locator launcher command, as defined by this enumerated type.
      Parameters:
        `name` - a String value indicating the potential name of a Locator launcher command.
      Returns:
        a boolean indicating whether the specified name for a Locator launcher command is valid.

    - #### isUnspecified

          public static boolean isUnspecified(LocatorLauncher.Command command)

      Determines whether the given Locator launcher command has been properly specified. The command is deemed unspecified if the reference is null or the Command is UNSPECIFIED.
      Parameters:
        `command` - the Locator launcher command.
      Returns:
        a boolean value indicating whether the Locator launcher command is unspecified.
      See Also:
        `UNSPECIFIED`

    - #### valueOfName

          public static LocatorLauncher.Command valueOfName(java.lang.String name)

      Looks up a Locator launcher command by name. The equality comparison on name is case-insensitive.
      Parameters:
        `name` - a String value indicating the name of the Locator launcher command.
      Returns:
        an enumerated type representing the command name or null if the no such command with the specified name exists.

    - #### getName

          public java.lang.String getName()

      Gets the name of the Locator launcher command.
      Returns:
        a String value indicating the name of the Locator launcher command.

    - #### getOptions

          public java.util.List<java.lang.String> getOptions()

      Gets a set of valid options that can be used with the Locator launcher command when used from the command-line.
      Returns:
        a Set of Strings indicating the names of the options available to the Locator launcher command.

    - #### hasOption

          public boolean hasOption(java.lang.String option)

      Determines whether this Locator launcher command has the specified command-line option.
      Parameters:
        `option` - a String indicating the name of the command-line option to this command.
      Returns:
        a boolean value indicating whether this command has the specified named command-line option.

    - #### isUnspecified

          public boolean isUnspecified()

      Convenience method for determining whether this is the UNSPECIFIED Locator launcher command.
      Returns:
        a boolean indicating if this command is UNSPECIFIED.
      See Also:
        `UNSPECIFIED`

    - #### toString

          public java.lang.String toString()

      Gets the String representation of this Locator launcher command.
      Overrides:
        `toString` in class `java.lang.Enum<LocatorLauncher.Command>`
      Returns:
        a String value representing this Locator launcher command.